#include "platform_if.h"
#include "sensor_error.h"


__weak int sensor_serial_init(void)
{
    return SENSOR_SUCCESS;
}


__weak int sensor_serial_read_reg(sensor_serial_if_t *serif, 
                                  uint8_t * buf, 
                                  uint32_t rlen)
{
    ret_code_t err_code;

    switch (serif->serif_type) 
    {
    case SERIAL_I2C:
        break;
    case SERIAL_SPI3:
        break;
    case SERIAL_SPI4: 
        break;
    case SERIAL_I3C:
        break;
    default:
        return -1;
    }

    return err_code;
}


__weak int sensor_serial_write_reg(sensor_serial_if_t *serif, 
                                   const uint8_t * buf, 
                                   uint32_t wlen)
{
    ret_code_t err_code;

    switch (serif->serif_type) 
    {
    case SERIAL_I2C:
        break;
    case SERIAL_SPI3:
        break;
    case SERIAL_SPI4: 
        break;
    case SERIAL_I3C:
        break;
    default:
        return -1;
    }

    return err_code;
}


__weak int sensor_serial_deinit(sensor_serial_if_t *serif)
{
    return SENSOR_SUCCESS;
}


__weak void sensor_delay_us(uint32_t us)
{

}


__weak void sensor_delay_ms(uint32_t us)
{

}



